Issue 121224 - When using a page background with transparent fill style the page previews try to 'guess' a paper background color
When using a page background with transparent fill style the page previews tr...
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: viewing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 11:44 UTC by Armin Le Grand
Modified: 2013-07-12 16:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-10-16 11:44:15 UTC
ALG: After #121194# it is possible to use vector based fill styles, so it is also possible for page background settings. When doing so and using a transparent fill style, the page previews (left and in slide sorter) try to 'guess' a paper color. This is not necessary, it needs to do the same the edit view does.
Comment 1 Armin Le Grand 2012-10-16 11:44:31 UTC
ALG: Taking over.
Comment 2 Armin Le Grand 2012-10-16 11:51:03 UTC
ALG: Should have to do with sd::PreviewRenderer::RenderPage()/PaintPage()...
Comment 3 Armin Le Grand 2012-10-19 16:24:29 UTC
ALG: No need to set SetApplicationBackgroundColor (which is the color of the area 'behind' the page (formally called 'Wiese') since the page previews produced exactly cover the page's area, so it would never be visible. What needs to be set is the ApplicationDocumentColor which is derived from svtools::DOCCOLOR normally.
Comment 4 SVN Robot 2012-10-19 16:27:28 UTC
"alg" committed SVN revision 1400156 into trunk:
#121224# Corrected to use the ApplicationDocumentColor instead of the Applica...
Comment 5 Armin Le Grand 2012-10-19 16:27:50 UTC
ALG: Okay, done.